#content .ast-container {
	max-width: 100%;
	padding: 0;
}

.stock_details_main {
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.05) 0%, rgba(0, 40, 82, 0.05) 100%), #FFF;
	padding: 24px 0;
}

.stock_details_main .container {
	max-width: 1230px;
}

.stock_details_wrapper {
	display: flex;
	align-items: flex-start;
	justify-content: center;
	flex-wrap: wrap;
}

.stock_details_left_column {
	width: 400px;
	padding: 24px 12px 24px 24px;
	position: sticky;
	top: 0;
}

.stock_details_right_column {
	width: calc(100% - 400px);
	padding: 24px 24px 32px 12px;
}

.stocks_search_container input {
	border-radius: 6px;
	border: 1px solid #D1D5DB;
	background: #FFF;
	width: 100%;
	padding: 12px;
	font-size: 16px;
}

.stock_details_box {
	border-radius: 10px;
	background: #FFF;
	padding: 20px;
	margin-top: 16px;
	/* max-width: 343px; */
}

.stock_info_container h1 {
	color: var(--vested-heading-color);
	font-family: var(--primaryFont);
	font-size: 20px !important;
	font-weight: 500;
	line-height: 26px;
}

.heading {
	color: var(--vested-heading-color);
	font-family: var(--primaryFont);
	font-size: 16px;
	font-weight: 500;
	line-height: 24px;
}

.stock_tabs_menu .stock_tabs_menu_wrapper {
	border-radius: 6px;
	background: rgba(0, 40, 82, 0.10);
	display: flex;
	align-items: center;
	justify-content: flex-start;
	padding: 5px;
	overflow: auto;
}

.stock_tabs_menu.highlighted {
	position: sticky;
	top: 0;
	width: 100%;
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.05) 0%, rgba(0, 40, 82, 0.05) 100%), #FFF;
	z-index: 2;
	border-radius: 0px 0px 6px 6px;
	padding-top: 24px;
}

.stock_tabs_menu .tab_button {
	color: #6B7280;
	font-size: 14px;
	font-weight: 500;
	line-height: 20px;
	background-color: transparent;
	padding: 6px 8px;
	border-radius: 3px;
	white-space: nowrap;
	transition: all 0.5s ease;
}

.stock_tabs_menu .tab_button.active,
.stock_tabs_menu .tab_button:hover {
	background-color: #ffffff;
	color: #1F2937;
}

.stock_tabs_menu .tab_button:focus {
	outline: none;
}

.stock_chart_header {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.stock_chart_buttons {
	display: flex;
	align-items: center;
	justify-content: flex-end;
}

.stock_chart_buttons button {
	color: rgba(0, 40, 82, 0.80);
	font-size: 12px;
	font-weight: 500;
	line-height: normal;
	border-radius: 6px;
	border: 1px solid #CCD4DC;
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.04) 0%, rgba(0, 40, 82, 0.04) 100%), #FFF;
	padding: 6px 12px;
	margin-right: 4px;
}

.stock_chart_buttons button:last-child {
	margin-right: 0;
}

.stock_chart_buttons button.active {
	background: #002852;
	border-color: #002852;
	color: #fff;
}

.stock_chart_buttons button:first-child {
	margin-left: 0;
}

.stock_info_icons {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	margin-bottom: 12px;
}

.stock_img {
	border-radius: 8px;
	width: 52px;
	height: 52px;
}

.stock_img img {
	width: 52px;
	height: 52px;
}

.stock_info_icons .share_icon {
	border-radius: 6px;
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.04) 0%, rgba(0, 40, 82, 0.04) 100%), #FFF;
	padding: 10px 20px 10px 16px;
	cursor: pointer;
}

.stock_info_icons .share_icon img {
	width: 17px;
	height: 17px;
}

.stock_info_icons img {
	display: block;
}

.stock_info_container .stock_ticker {
	color: #374151;
	font-size: 16px !important;
	font-weight: 500;
	line-height: 24px;
	margin-bottom: 4px;
}

.stock_info_container .stock_exchange {
	color: #6B7280;
	font-size: 12px;
	font-weight: 400;
	line-height: 18px;
}

.stock_price_snapshot {
	display: flex;
	align-items: flex-end;
	justify-content: flex-start;
	margin-top: 12px;
	margin-bottom: 12px;
}

.stock_price_snapshot .stock_price {
	color: #000000;
	font-size: 28px;
	font-weight: 700;
	line-height: normal;
}

.stock_price_snapshot .stock_price_change {
	color: #16A34A;
	font-size: 16px;
	font-weight: 500;
	line-height: 28.8px;
	margin-left: 4px;
}

.stock_price_snapshot .stock_price_change.negative {
	color: #B92406;
}

.stock_price_snapshot span {
	display: block;
	color: #374151;
	font-size: 16px;
	font-style: normal;
	font-weight: 500;
	line-height: 28.8px;
	margin-left: 4px;
}

.stock_tags {
	display: flex;
	flex-wrap: wrap;
	margin: -4px;
}

.stock_tags span {
	border-radius: 6px;
	border: 1px solid rgba(0, 40, 82, 0.03);
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.03) 0%, rgba(0, 40, 82, 0.03) 100%), var(--White, #FFF);
	display: block;
	padding: 8px 12px;
	color: #374151;
	font-size: 12px;
	font-weight: 500;
	line-height: normal;
	margin: 4px;
}

.primary_button {
	border-radius: 6px;
	background: #002852;
	padding: 14px 6px;
	width: 100%;
	color: #FFF;
	text-align: center;
	font-size: 16px;
	font-weight: 600;
	line-height: 20px;
	margin-top: 16px;
	border: 1px solid #002852;
	transition: all 0.5s ease;
	max-width: 324px;
}

.primary_button:hover {
	background-color: #fff;
	color: #002852;
}

.secondary_button {
	border-radius: 6px;
	border: 1px solid var(--Stroke-Button, #CCD4DC);
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.04) 0%, rgba(0, 40, 82, 0.04) 100%), #FFF;
	padding: 15px 6px;
	width: 100%;
	color: rgba(0, 40, 82, 0.80);
	text-align: center;
	font-size: 16px;
	font-weight: 600;
	line-height: 20px;
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 8px;
	transition: all 0.5s ease;
	max-width: 324px;
}

.secondary_button svg {
	margin-right: 10px;
}

.secondary_button:hover {
	background-color: #002852;
	color: #fff;
}

.secondary_button:hover svg path {
	stroke: #fff;
}


.separator_line {
	border-top: 1px solid #F4F7FE;
	margin: 16px 0;
}

.stock_metrics_wrapper {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	flex-wrap: wrap;
}

.stock_metrics_wrapper .stock_metrics_keyvalue {
	width: calc(50% - 24px);
}

.stock_metrics_wrapper .stock_metrics_range {
	width: calc(50% - 24px);
}

.stock_summary .stock_summary_item {
	display: flex;
	align-items: center;
	justify-content: space-between;
	border-bottom: 1px solid rgba(0, 0, 0, 0.04);
	padding: 8px 0;
}

.stock_summary .stock_summary_item:first-child {
	padding-top: 0;
}

.stock_summary .stock_summary_item:last-child {
	padding-bottom: 0;
	border-bottom: 0;
}

.stock_summary .stock_summary_item span {
	color: #6B7280;
	font-size: 14px;
	font-weight: 500;
	line-height: normal;
	display: flex;
	align-items: center;
}

.stock_summary .stock_summary_item span img {
	margin-left: 4px;
	display: block;
	width: 12px;
	height: 12px;
}

.stock_summary .stock_summary_item strong {
	color: #374151;
	font-size: 14px;
	font-weight: 600;
	line-height: normal;
}

.stock_about_description {
	color: #374151;
	font-size: 14px;
	font-weight: 400;
	line-height: 19.6px;

}

.stock_about_description #show_more {
	color: #1F2937;
	font-weight: 500;
	text-decoration-line: underline;
	margin-left: 4px;
	cursor: pointer;
}

.stock_details_table_container .stock_details_table table th {
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.08) 0%, rgba(0, 40, 82, 0.08) 100%), var(--White, #FFF);
	border: none;
	color: #1F2937;
	font-size: 13px;
	font-weight: 500;
	line-height: normal;
	text-align: center;
	padding: 16px 8px;
}

.stock_details_table_container .stock_details_table table th:first-child {
	text-align: left;
	padding-left: 14px;
}

.stock_details_table_container .stock_details_table table td {
	border: 0.5px solid #F5F5F5;
	background: #FFF;
	color: #6B7280;
	text-align: center;
	font-size: 13px;
	font-weight: 500;
	line-height: normal;
	padding: 9px 14px;
	height: 40px;
}

.stock_details_table_container .stock_details_table table td.highlighted-info {
	font-weight: bold;
}

.stock_details_table_container .stock_details_table table td:first-child {
	color: #374151;
	text-align: left;
}

.stock_details_table_container .stock_details_table.financial_table table td:first-child {
	color: #595959;
}

.stock_details_table_container .stock_details_table.financial_table table th {
	min-width: 70px;
}

.stock_details_table_container {
	border-radius: 6px;
	border: 1px solid rgba(0, 40, 82, 0.20);
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.08) 0%, rgba(0, 40, 82, 0.08) 100%), #FFF;
	overflow: auto;
}

.stock_details_table_button {
	position: absolute;
	top: 0;
	right: 0;
	width: 81px;
	height: 100%;
	border-radius: 0px 6px 6px 0px;
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.08) 0%, rgba(0, 40, 82, 0.08) 100%), #FFF;
	padding: 14px;
	transition: all 0.5s ease;
}

.stock_details_table_button:hover,
.stock_details_table_button:focus {
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.08) 0%, rgba(0, 40, 82, 0.08) 100%), #FFF;
}

.stock_details_table_button span {
	display: block;
	color: #374151;
	text-align: center;
	font-size: 12px;
	font-weight: 500;
	line-height: normal;
	margin-top: 8px;
}

.stock_details_table_container .stock_details_table {
	padding-right: 81px;
}

.stock_details_table_container .stock_details_table.financial_table {
	padding-right: 0px;
}

.stock_details_table_container .stock_details_table.full_width_table {
	padding-right: 0px;
}

.stock_details_table_container .stock_details_table table {
	margin: 0;
	border: 0;
}

.stock_details_table_container .stock_details_table_wrapper {
	min-width: 600px;
	position: relative;
}

.stock_price_chart_plot {
	position: relative;
}

#verticalLine {
	position: absolute;
	top: 9px;
	height: calc(100% - 72px);
	width: 1px;
	background-image: url('../../images/vertical-line.png');
	display: none;
	pointer-events: none;
}

#customTooltip {
	position: absolute;
	display: none;
	pointer-events: none;
	z-index: 1;
}

.stock_chart_label {
	border-radius: 6px;
	border: 1px solid rgba(21, 128, 61, 0.12);
	background: linear-gradient(0deg, rgba(21, 128, 61, 0.04) 0%, rgba(21, 128, 61, 0.04) 100%), var(--White, #FFF);
	padding: 8px 12px;
	color: #6B7280;
	font-size: 12px;
	font-weight: 500;
	line-height: normal;
}

.stock_chart_label strong {
	color: #374151;
	font-size: 14px;
	font-weight: 600;
	line-height: normal;
	display: block;
	margin-bottom: 4px;
}


.chart_loader_container {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: #ffffff;
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 1;
	pointer-events: none;
}


.chart_loader {
	width: 48px;
	height: 48px;
	border: 5px solid #002852;
	border-bottom-color: transparent;
	border-radius: 50%;
	display: inline-block;
	box-sizing: border-box;
	animation: rotation 1s linear infinite;
}

@keyframes rotation {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

.stock_box_tab_container {
	display: flex;
	align-items: center;
	justify-content: flex-end;
	margin-bottom: 16px;
}

.stock_box_tab_container .stock_box_tab_button {
	border-radius: 6px;
	border: 1px solid #CCD4DC;
	background: linear-gradient(0deg, rgba(0, 40, 82, 0.04) 0%, rgba(0, 40, 82, 0.04) 100%), #FFF;
	height: 30px;
	padding: 6px 12px;
	color: rgba(0, 40, 82, 0.80);
	font-size: 12px;
	font-weight: 600;
	line-height: normal;

}

.stock_box_tab_container .stock_box_tab_button.active {
	background: #002852;
	border-color: #002852;
	color: #fff;
}

.stock_box_tab_container .stock_box_tab_button+.stock_box_tab_button {
	margin-left: 4px;
}


.hidden {
	display: none;
}

.ticker_button {
	padding: 0;
	margin: 2px auto 0;
	background-color: transparent;
	color: #1F2937;
	font-size: 13px;
	font-weight: 500;
	line-height: normal;
	text-decoration-line: underline;
	display: flex;
	align-items: center;
	justify-content: center;
}

.ticker_button img {
	display: block;
	margin-right: 4px;
	margin-top: 3px;
}

.ticker_button:hover {
	background-color: transparent;
	color: #1F2937;
}

.stock_details_table_container .stock_details_table.ticker_added {
	padding-right: 0;
}

.stock_details_table_container .stock_details_table.ticker_added+.stock_details_table_button {
	display: none;
}

.stock_summary .stock_summary_item span {
	position: relative;
}

.stock_summary .stock_summary_item span .info_text {
	position: absolute;
	left: calc(100% - -30px);
	top: 50%;
	transform: translateY(-50%);
	width: 200px;
	padding: 16px;
	border-radius: 6px;
	background: #FFFFFF;
	box-shadow: 0px 2px 12px 0px rgba(0, 40, 82, 0.16);
	color: #374151;
	font-size: 14px;
	font-weight: 500;
	line-height: 19.6px;
	display: none;
}

.stock_summary .stock_summary_item span img:hover+.info_text {
	display: block;
}



.explore_stocks {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	flex-wrap: wrap;
	grid-row-gap: 24px;
	margin-top: 10px;
}

.explore_stocks .box_warrp {
	width: calc(24.33% - 0px);
}

.box_warrp a .stocks_img {
	margin-bottom: 8px;
}

.box_warrp a .stocks_img img {
	width: 41px;
	height: 41px;
	display: block;
}

.box_warrp a .stocks_details .stock_name {
	color: #595959;
	font-size: 16px !important;
	font-weight: 600;
	line-height: 20.80px;
	word-wrap: break-word;
	display: block;
	width: 130px;
}


.faq_item {
	padding: 8px;
	cursor: pointer;
	transition: background-color 0.3s ease-in-out;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.faq_question {
	color: #1F2937;
	font-size: 14px;
	font-weight: 400;
	line-height: 19.60px;
	word-wrap: break-word;
	width: 100%;
}

.faq_answer {
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.3s ease-in-out;
	border-bottom: 1px solid rgba(244, 247, 254, 1);
	padding-left: 10px;
	padding-right: 10px;
}

.faq_answer p,
.faq_answer ul {
	color: #6B7280;
	font-size: 14px;
	font-weight: 400;
	line-height: 19.60px;
	word-wrap: break-word;
	margin-bottom: 15px;
}

.faq_item .faq_icon svg {
	width: 15px;
	height: 28px;
	display: block;
	transition: transform 0.3s ease-in-out;
}

.faq_item .faq_icon.active svg {
	transform: rotate(180deg);
}

/* faqs and */

/* feedback start */
.feedback_section {
	display: flex;
	margin-top: 12px;
}

.feedback_list {
	background: rgba(0, 40, 82, 0.04);
	border: 1px solid rgba(204, 212, 220, 1);
	padding: 11px 26px;
	border-radius: 6px;
	max-width: 272px;
	/* max-height: 40px; */
}

.feedback_list a {
	display: flex;
	align-items: center;
}

.feedback_list a .feedback_list_title {
	color: #1F2937;
	font-size: 14px !important;
	font-weight: 500;
	word-wrap: break-word;
	padding-right: 10px;
	position: relative;
	line-height: 1;
}

.feedback_list .feedback_list_title::before {
	content: '';
	position: absolute;
	background-image: url('../../images/external-link.svg');
	background-repeat: no-repeat;
	min-height: 16px;
	min-width: 16px;
	left: 100%;
}

/* feedback  ends */



.financials_box_header {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-bottom: 16px;
}

.financials_box_header .stock_box_tab_container {
	margin-bottom: 0;
}

.financials_select_container {
	display: flex;
	align-items: center;
	justify-content: flex-end;
}

.financials_select_container select {
	border-radius: 6px;
	border: 1px solid #CCD4DC;
	background-color: linear-gradient(0deg, rgba(0, 40, 82, 0.04) 0%, rgba(0, 40, 82, 0.04) 100%), #FFF;
	color: rgba(0, 40, 82, 0.80);
	font-size: 12px;
	font-weight: 500;
	line-height: normal;
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	background-image: url('../../images/chevron-down.png');
	background-repeat: no-repeat;
	background-repeat: no-repeat;
	background-position: 69px 4px;
	padding: 6px 32px 6px 12px;
}

.financials_select_container select:focus-visible {
	outline: none;
}

.financials_select_container select+select {
	margin-left: 6px;
}

.financial_table canvas {
	width: 100px !important;
	height: 50px !important;
	margin: auto;
}

.ratios_section {
	margin-bottom: 48px;
}

.ratios_section h2 {
	color: #262626;
	font-size: 16px !important;
	font-weight: 600;
	line-height: normal;
	text-transform: capitalize;
}

.ratios_section p {
	color: #6B7280;
	font-size: 14px;
	font-weight: 400;
	line-height: 20px;
	/* 142.857% */
	margin: 4px 0 0;
}

.ratios_section .stock_details_table_container {
	margin-top: 16px;
}

.ratios_section:last-child {
	margin-bottom: 0;
}

.stock_details_table_container .stock_details_table.ratios_table table td.highlight {
	background: #EFF6FF;
	border-color: #EFF6FF;
	color: #1F2937;
}

.stock_details_table_container .stock_details_table.ratios_table table td.highlight:first-child {
	color: #374151;
	background-color: #FFFFFF;
	border-color: #F5F5F5;
}

.stock_details_table_container .stock_details_table.ratios_table table td span {
	display: block;
	color: #6B7280;
	font-size: 12px;
	font-weight: 400;
	line-height: normal;
	margin-top: 2px;
}

.stock_details_table_container .stock_details_table.ratios_table table td:first-child {
	width: 65%;
}

.ticker_added .stock_details_table_container .stock_details_table {
	padding-right: 0;
}

.ticker_added .stock_details_table_button {
	display: none;
}

.stock_details_box.stock_key_metrics_panel {
	padding: 24px;
}

.stock_metrics_wrapper .stock_metrics_range .stock_metrics_range_title {
	color: #6B7280;
	font-size: 14px;
	font-weight: 500;
	line-height: normal;
	display: inline-flex;
	align-items: center;
	margin-bottom: 8px;
	position: relative;
}

.stock_metrics_wrapper .stock_metrics_range .stock_metrics_range_title img {
	margin-left: 4px;
	display: block;
}

.stock_metrics_wrapper .stock_metrics_range .stock_metrics_range_title .info_text {
	position: absolute;
	left: calc(100% - -15px);
	top: 50%;
	transform: translateY(-50%);
	width: 200px;
	padding: 16px;
	border-radius: 6px;
	background: #FFFFFF;
	box-shadow: 0px 2px 12px 0px rgba(0, 40, 82, 0.16);
	color: #374151;
	font-size: 14px;
	font-weight: 500;
	line-height: 19.6px;
	display: none;
	z-index: 1;
}

.stock_metrics_wrapper .stock_metrics_range .stock_metrics_range_title img:hover+.info_text {
	display: block;
}

.range_container {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	position: relative;
}

.range_container .float_range_item {
	position: absolute;
	right: 0;
	left: 0;
	bottom: 0;
	margin: auto;
	width: calc(100% - 40px);
	height: 2px;
}

.range_container .range_item {
	position: relative;
}

.range_container .range_item span {
	color: #374151;
	font-size: 14px;
	font-weight: 600;
	line-height: normal;
	display: block;
	margin-bottom: 8px;
}

.range_container .range_item strong {
	color: #000;
	font-size: 14px;
	font-weight: 600;
	line-height: normal;
	display: block;
}

.range_container:before {
	content: "";
	height: 1px;
	width: calc(100% - 40px);
	background: rgba(0, 40, 82, 0.20);
	position: absolute;
	bottom: 7px;
	left: 0;
	right: 0;
	margin: auto;
}

.range_container .range_item.range_low {
	text-align: left;
}

.range_container .range_item.range_high {
	text-align: right;
}

.range_container .float_range_item span {
	display: block;
	color: #374151;
	font-size: 14px;
	font-weight: 600;
	line-height: normal;
}

.range_container .float_range_item .float_range:before {
	content: "";
	width: 12px;
	height: 12px;
	background-color: #002852;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	margin: auto;
	border-radius: 100%;
}

.range_container .float_range_item .float_range {
	position: absolute;
	left: calc(0% - 28px);
	bottom: -21px;
	padding-top: 18px;
}

#copy_link_message {
	position: fixed;
	top: -100%;
	left: 0;
	right: 0;
	margin: auto;
	background-color: #fff;
	box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
	display: flex;
	align-items: center;
	justify-content: center;
	max-width: 150px;
	z-index: 1;
	padding: 10px 0;
	border-radius: 6px;
	transition: all 0.5s ease;
}

#copy_link_message img {
	max-width: 20px;
}

#copy_link_message span {
	font-size: 14px;
	font-weight: 500;
	color: #000;
	display: block;
	margin-left: 10px;
}

#copy_link_message.active {
	top: 120px;
}


.news_list .news_item {
	display: none;
	align-items: flex-start;
	justify-content: flex-start;
	flex-wrap: wrap;
	border-top: 1px solid #F4F7FE;
	padding: 16px 0;
}

.news_list .news_item:nth-child(-n+3) {
	display: flex;
}

.news_list .news_item .news_item_image {
	width: 40px;
	height: 40px;
	border-radius: 10px;
	overflow: hidden;
}

.news_list .news_item .news_item_image img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.news_list .news_item .news_item_content {
	width: calc(100% - 40px);
	padding-left: 16px;
}

.news_list .news_item .news_item_content h2 {
	font-size: 16px;
	line-height: 20.8px;
	font-weight: 600;
	color: #1F2937;
	margin-bottom: 4px;
}

.news_list .news_item .news_item_content p {
	font-size: 14px;
	line-height: 19.6px;
	font-weight: 400;
	color: #6B7280;
	margin-bottom: 4px;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}

.news_list .news_item .news_item_content .news_item_info {
	display: flex;
	align-items: center;
	justify-content: flex-start;
}

.news_list .news_item .news_item_content .news_item_info span {
	font-size: 14px;
	line-height: 19.6px;
	font-weight: 400;
	color: #374151;
}

.news_list .news_item .news_item_content .news_item_info span:first-child {
	position: relative;
	padding-right: 20px;
}

.news_list .news_item .news_item_content .news_item_info span:first-child:before {
	content: "";
	width: 5px;
	height: 5px;
	background-color: #374151;
	position: absolute;
	right: 8px;
	top: 50%;
	transform: translateY(-50%);
	border-radius: 10px;
}

.news_list .news_item:first-child {
	padding-top: 0;
	border-top: 0;
}

#load_more_btn {
	background-color: #0028520A;
	border: 1px solid #CCD4DC;
	padding: 11px 26px;
	border-radius: 5px;
	font-size: 14px;
	line-height: 16.94px;
	font-weight: 400;
	color: #1F2937;
	margin: auto;
	display: block;
}

.largest_holdings_section .stock_details_table .holdings_stock_name img {
	width: 32px;
	height: 32px;
	display: block;
}

.largest_holdings_section .stock_details_table .holdings_stock_name {
	display: flex;
	align-items: center;
	justify-content: flex-start;
}

.largest_holdings_section .stock_details_table .holdings_stock_name span {
	font-size: 13px;
	line-height: 15.73px;
	font-weight: 500;
	color: #374151;
	display: block;
	padding-left: 10px;
}

.largest_holdings_section .stock_details_table a {
	font-size: 13px;
	line-height: 15.73px;
	font-weight: 500;
	color: #374151;
	display: block;
	text-decoration: underline;
}

.largest_holdings_section .stock_details_table_container {
	border-color: #F4F7FE;
}

.largest_holdings_section .stock_details_table_container .stock_details_table table td {
	border-color: #F4F7FE;
	border-left: 0;
	border-right: 0;
}

td.holdings_stock_weight_td {
	width: 160px;
}

.largest_holdings_section .stock_details_table_container .stock_details_table table th,
.largest_holdings_section .stock_details_table_container .stock_details_table table td {
	text-align: left;
}

.largest_holdings_section .stock_details_table_container .stock_details_table table th:first-child {
	padding-left: 56px;
}

.holdings_progress_bar {
	width: 40px;
	height: 6px;
	background-color: rgba(0, 40, 82, 0.2);
	border-radius: 12px;
	overflow: hidden;
	position: relative;
}

.holdings_progress_bar .holdings_progress {
	height: 100%;
	background-color: #002852;
	position: absolute;
	top: 0;
	left: 0;
}

.holdings_stock_weight {
	display: flex;
	align-items: center;
	width: 140px;
}

.holdings_stock_weight span {
	display: block;
	width: 80px;
}

.sector_breakdown_section {
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex-wrap: wrap;
}

.sector_breakdown_table_wrapper {
	width: calc(50% - 10px);
}

.sector_breakdown_chart_wrapper {
	width: calc(50% - 10px);
}

.sector_breakdown_table_wrapper .stock_details_table_container .stock_details_table_wrapper {
	min-width: auto;
}

.sector_breakdown_name {
	display: flex;
	align-items: center;
}

.sector_breakdown_name span {
	display: block;
	width: 14px;
	height: 14px;
	border-radius: 14px;
	margin-right: 10px;
}

.sector_breakdown_table_wrapper .stock_details_table_container {
	border-color: #F4F7FE;
}

.sector_breakdown_table_wrapper .stock_details_table_container .stock_details_table table td {
	border-color: #F4F7FE;
}

.sector_breakdown_table_wrapper .stock_details_table_container .stock_details_table table td:first-child {
	border-right: 0;
}

.sector_breakdown_table_wrapper .stock_details_table_container .stock_details_table table td:last-child {
	border-left: 0;
}

@media screen and (max-width: 1199px) {
	.stock_details_left_column {
		width: 320px;
		padding-left: 0;
	}

	.stock_details_right_column {
		width: calc(100% - 320px);
		padding-right: 0;
	}

	.stock_chart_header {
		flex-wrap: wrap;
	}

	.stock_chart_buttons {
		width: calc(100% - 180px);
		flex-wrap: wrap;
		margin-top: -4px;
	}

	.stock_chart_buttons button {
		margin-top: 4px;
	}
}

@media (max-width: 1023px) {
	.stock_details_left_column {
		width: 100%;
		position: relative;
		padding: 0;
	}

	.stock_details_right_column {
		width: 100%;
		padding: 0;
	}

	.stock_tabs_menu {
		margin-top: 16px;
	}

	.stock_tabs_menu.highlighted {
		position: fixed;
		left: 0;
		right: 0;
		width: calc(100% - 30px);
		margin: auto;
		padding: 0;
	}

	.stock_tabs_menu.highlighted .stock_tabs_menu_wrapper {
		border-radius: 0px 0px 6px 6px;
	}

	.analyst_forecast_chart_container {
		max-width: 320px;
	}
}



@media (max-width: 767px) {

	.heading {
		font-size: 16px !important;
	}

	.stock_tags {
		display: none;
	}

	/* chart */
	.stock_chart_header {
		display: block;
	}

	.stock_chart_buttons {
		width: 100%;
		justify-content: flex-start;
		padding-top: 16px;
	}

	.analyst_forecast_chart_container {
		margin: 0 auto;
		max-width: 320px;
	}

	.stock_about_description {
		margin-bottom: 0;
	}

	/* end chart */

	/* key matrics */
	.stock_metrics_wrapper {
		display: block;
	}

	.stock_metrics_wrapper .stock_metrics_keyvalue {
		width: 100%;
	}

	.stock_metrics_wrapper .stock_metrics_range {
		width: 100%;
		margin-top: 10px;
		margin-bottom: 10px;
	}

	/* end key matrics */

	/* finance section */
	.financials_box_header {
		display: block;
	}

	.stock_box_tab_container {
		display: block;
	}

	.financials_box_header .stock_box_tab_container {
		padding-bottom: 16px;
	}

	.financials_box_header .financials_select_container {
		justify-content: flex-start;
	}

	.financials_box_header .stock_box_tab_container .stock_box_tab_button+.stock_box_tab_button:last-child {
		margin-top: 6px;
	}

	/* end finance */

	/* feedback section */
	.feedback_section {
		display: block;
	}

	.feedback_section .feedback_list {
		margin-right: 0 !important;
	}

	.feedback_section .feedback_list:first-child {
		margin-bottom: 10px;
	}

	.explore_stocks .box_warrp {
		width: calc(49.33% - 0px);
	}

	/* end feedback section */

	/* discover */
	.box_warrp a .stocks_details .stock_name {
		max-width: 120px;
	}

	/* end discover */

	/* faqs */
	.faq_item .faq_question {
		padding-right: 10px;
	}

	.faq_item .faq_icon svg {
		width: 12px;
		height: 22px;
	}

	/* end-faqs */

	/*  model  */
	.at_modal_header h2 {
		font-size: 16px !important;
	}

	.at_modal_header button {
		height: 24px;
		width: 24px;
	}

	.ticker_selected_option .ticker_dropdown_search {
		font-size: 14px !important;
	}

	.ac_modal_text {
		flex-direction: column-reverse;
	}

	.ac_modal_text img {
		margin: 0 auto;
		padding: 10px 0px;
	}

	.ac_modal_list {
		max-width: 100% !important;
	}

	/* end model */

	.stock_details_main {
		margin: 0 -0.54em;
	}

	.news_list .news_item .news_item_content h2 {
		font-size: 16px !important;
	}

	.news_list .news_item .news_item_content .news_item_info {
		display: block;
	}

	.news_list .news_item .news_item_content .news_item_info span {
		display: inline-block;
	}

	.sector_breakdown_table_wrapper {
		width: 100%;
		order: 2;
	}

	.sector_breakdown_chart_wrapper {
		width: 277px;
		margin-bottom: 20px;
	}

	.sector_breakdown_section {
		justify-content: center;
	}
}

@media (max-width: 360px) {
	.stock_price_snapshot h3 {
		font-size: 22px;
	}

	.feedback_list a h2 {
		font-size: 11px !important;
	}

	.stock_box_tab_container .stock_box_tab_button.active {
		margin-bottom: 4px;
	}

	/* discover */
	.box_warrp .stocks_details a h2 {
		font-size: 14px;
	}

	/* end discover */
}

.box_warrp a .stocks_img.brk_stocks_img {
	width: 41px;
	height: 41px;
	background-color: rgb(0 0 0 / 8%);
	border: 1px solid rgb(0 0 0 / 16%);
	border-radius: 100%;
}

.ac_modal_list li a {
	background-color: transparent;
	padding: 0;
	font-size: inherit;
	font-weight: inherit;
	color: #fff;
	line-height: inherit;
}

.svg_skeleton {
	position: relative;
	z-index: 1;
	background-color: #fff;
}

.svg_skeleton svg {
	width: 100%;
	height: 100%;
}

.svg_skeleton rect[fill="#D9D9D9"],
.svg_skeleton path[fill="#D9D9D9"],
.svg_skeleton path[fill="#DDDDDD"],
.svg_skeleton path[fill="#D9D9D9"] {
	animation: pulse 0.8s infinite alternate;
}

@keyframes pulse {
	0% {
		opacity: 0.6;
	}

	100% {
		opacity: 1;
	}
}


#stocksLineChart,
#analystForecastChart {
	height: 0;
}

#returns_skeleton_after,
#financials_skeleton_after {
	display: none;
}

.stock_details_table_container .stock_details_table table td.trend_chart {
	color: #fff;
	width: 130px;
	height: 70px;
	font-size: 0;
}

.stock_details_table_container .stock_details_table.financial_table table tr:last-child {
	display: none;
}

@media (max-width: 544px) {
	.ast-separate-container #content .ast-container {
		padding-left: 0;
		padding-right: 0;
	}
}
